%global enable_tests 1
%global srcname install

%global commit0 51ade9f34d28d2e0cb16679066ba284d7edb6c29
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        0.4.0
Release:        2%{?dist}
Summary:        Minimal JavaScript module loader
License:        MIT
URL:            https://github.com/benjamn/install
Source0:        https://github.com/benjamn/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha --reporter spec test/run.js
%endif

%files
%doc README.md docs/
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.6-1
- Update to new version

* Tue Sep 08 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.1.8-1
- Initial package
